seed
Prev | Orchestra Opcodes and Operators | Next

## seed

seed — Sets the global seed value.

## Description

Sets the global seed value for all x-class noise generators, as well as other opcodes that use a random call, such as grain.

| Please Note
rand, randh, randi, rnd(x) and birnd(x) are not affected by seed.

## Syntax

    seed ival

## Performance

Use of seed will provide predictable results from an orchestra using with random generators, when required from multiple performances.

When specifying a seed value, ival should be an integer between 0 and 232. If ival = 0, the value of ival will be derived from the system clock.

Prev | Up | Next
schedwhen | Home | sekere